pin.h File Reference
`#include "osl/numEffectState.h"`
`#include "osl/eval/weights.h"`
`#include "osl/eval/midgame.h"`
`#include <cstdlib>`

Go to the source code of this file.

## Classes

class | osl::eval::ml::SimplePin
class | osl::eval::ml::Pin
class | osl::eval::ml::PinPtypeAll
class | osl::eval::ml::PinPtype
class | osl::eval::ml::PinPtypeDistance
class | osl::eval::ml::PinPtypePawnAttack
class | osl::eval::ml::CheckShadowPtype

## Namespaces

namespace | osl
namespace | osl::eval
namespace | osl::eval::ml